TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | Friends | List of all members
fv::util::Log Class Reference
Inheritance diagram for fv::util::Log:
[legend]
Collaboration diagram for fv::util::Log:
[legend]

## Public Member Functions
| Log (std::string filename, LogPriority priority)

## Static Public Member Functions
static Log & | init_logger (std::string filename, LogPriority priority)

## Protected Member Functions
int | sync ()
int | overflow (int c)

## Private Attributes
std::string | buffer_
std::ofstream | logfile
LogPriority | priority_curr
LogPriority | priority_set
const std::map< LogPriority, std::string > | name_map

## Static Private Attributes
static Log * | singleton = nullptr

## Friends
std::ostream & | operator<< (std::ostream &os, const LogPriority &log_priority)
| /see http://stackoverflow.com/questions/2638654/redirect-c-stdclog-to-syslog-on-unix

## Member Data Documentation

## ◆ name_map

const std::map<LogPriority,std::string> fv::util::Log::name_map
| private

Initial value:
= {{kLogEmergency, "EMERGENCY"},
{kLogAlert, "ALERT"},
{kLogCritical, "CRITICAL"},
{kLogError, "ERROR"},
{kLogWarning, "WARNING"},
{kLogNotice, "NOTICE"},
{kLogInfo, "INFO"},
{kLogDebug, "DEBUG"}}

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/log.hpp